summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-plugins/wmget
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-plugins/wmget')
-rw-r--r--x11-plugins/wmget/Manifest1
-rw-r--r--x11-plugins/wmget/metadata.xml10
-rw-r--r--x11-plugins/wmget/wmget-0.6.0.ebuild42
3 files changed, 53 insertions, 0 deletions
diff --git a/x11-plugins/wmget/Manifest b/x11-plugins/wmget/Manifest
new file mode 100644
index 00000000000..a8f66baaeca
--- /dev/null
+++ b/x11-plugins/wmget/Manifest
@@ -0,0 +1 @@
+DIST wmget-0.6.0-src.tar.gz 41155 SHA256 738b8e22a75f3ed538e473a66908091a13f928f7b163caf2aa79e687f72c32a7
diff --git a/x11-plugins/wmget/metadata.xml b/x11-plugins/wmget/metadata.xml
new file mode 100644
index 00000000000..7934c357922
--- /dev/null
+++ b/x11-plugins/wmget/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>desktop-dock</herd>
+<longdescription>
+wmget lets you run multiple downloads and monitor or control them from within a
+dockapp. This makes it easy to see their progress without keeping extra windows
+open. wmget uses the libcurl library to support HTTP and FTP downloads.
+</longdescription>
+</pkgmetadata>
diff --git a/x11-plugins/wmget/wmget-0.6.0.ebuild b/x11-plugins/wmget/wmget-0.6.0.ebuild
new file mode 100644
index 00000000000..fee4875be93
--- /dev/null
+++ b/x11-plugins/wmget/wmget-0.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit toolchain-funcs
+
+DESCRIPTION="a libcurl based dockapp for automated downloads"
+HOMEPAGE="http://amtrickey.net/wmget/"
+SRC_URI="http://amtrickey.net/download/${P}-src.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ppc ~sparc x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm
+ >=net-misc/curl-7.9.7"
+DEPEND="${RDEPEND}
+ x11-proto/xproto
+ x11-proto/xextproto"
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+ unpack ${A}
+
+ sed -i -e "s:ar rc:$(tc-getAR) rc:" "${S}"/dockapp/Makefile
+ sed -i 's/$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(DALIB) -o $@/$(CC) $(CFLAGS) $(OBJS) $(DALIB) $(LDFLAGS) -o $@ $(LIBS)/' "${S}"/Makefile
+ sed -i 's/LDFLAGS=/LIBS=/' "${S}"/Makefile
+}
+
+src_compile() {
+ emake -j1 CFLAGS="${CFLAGS}" CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" || die "emake failed."
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ dodoc NEWS README TODO
+}